%{?scl:%scl_package eclipse-ecf}
%{!?scl:%global pkg_name %{name}}

%global tag R-Release_HEAD-sdk_feature-144_2014-11-16_21-26-19
%global contextQualifier v%(date +%%Y%%m%%d-%%H%%M)

%define __requires_exclude osgi*
%define subrel  1

Name:           %{?scl_prefix}eclipse-ecf
Version:        3.9.1
Release:        %mkrel 2
Summary:        Eclipse Communication Framework (ECF) Eclipse plug-in
Group:          Development/Java

License:        EPL
URL:            http://www.eclipse.org/ecf/
Source0:        http://git.eclipse.org/c/ecf/org.eclipse.ecf.git/snapshot/org.eclipse.ecf-%{tag}.tar.bz2

BuildRequires:  java-devel >= 1.7.0 
BuildRequires:  jpackage-utils
BuildRequires:  eclipse-pde >= 4.3.0
BuildRequires:	httpcomponents-client
BuildRequires:	httpcomponents-core
BuildRequires:  apache-commons-codec
BuildRequires:	apache-commons-logging

BuildArch:      noarch

%description
ECF is a set of frameworks for building communications into applications and
services. It provides a lightweight, modular, transport-independent, fully
compliant implementation of the OSGi Remote Services standard.

%package core
Summary:        Eclipse ECF Core
Requires:       java-headless
Requires:       jpackage-utils
%{?scl:Requires: %scl_runtime}

%description core
ECF bundles required by eclipse-platform.

%prep
%setup -q -n org.eclipse.ecf-%{tag}

#get just the bits we need
mkdir -p ecf/plugins
mkdir -p ecf/features

cp -r releng/features/org.eclipse.ecf.core.{,ssl.}feature \
    ecf/features
cp -r releng/features/org.eclipse.ecf.filetransfer.httpclient4.{,ssl.}feature \
    ecf/features
cp -r releng/features/org.eclipse.ecf.filetransfer.{,ssl.}feature \
    ecf/features

cp -r framework/bundles/org.eclipse.ecf ecf/plugins
cp -r framework/bundles/org.eclipse.ecf.identity ecf/plugins
cp -r framework/bundles/org.eclipse.ecf.ssl ecf/plugins
cp -r framework/bundles/org.eclipse.ecf.filetransfer ecf/plugins
cp -r providers/bundles/org.eclipse.ecf.provider.filetransfer ecf/plugins
cp -r providers/bundles/org.eclipse.ecf.provider.filetransfer.ssl ecf/plugins
cp -r providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4 ecf/plugins
cp -r providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient4.ssl ecf/plugins

rm -rf `ls | grep -v "ecf"`

find . -type f -name "*.jar" -exec rm {} \;
find . -type f -name "*.class" -exec rm {} \;

mkdir -p deps
build-jar-repository -s -p deps \
  httpcomponents/httpclient httpcomponents/httpcore commons-codec commons-logging

# Allow building on java > 1.4
sed -i -e 's#(Object) ((URIID) o)#((URIID) o)#g' ecf/plugins/org.eclipse.ecf.identity/src/org/eclipse/ecf/core/identity/URIID.java

%build
eclipse-pdebuild -f org.eclipse.ecf.core.feature \
  -j "-DforceContextQualifier=%{contextQualifier}" -o `pwd`/deps
eclipse-pdebuild -f org.eclipse.ecf.core.ssl.feature \
  -j "-DforceContextQualifier=%{contextQualifier}" -o `pwd`/deps
eclipse-pdebuild -f org.eclipse.ecf.filetransfer.feature \
  -j "-DforceContextQualifier=%{contextQualifier}" -o `pwd`/deps
eclipse-pdebuild -f org.eclipse.ecf.filetransfer.ssl.feature \
  -j "-DforceContextQualifier=%{contextQualifier}" -o `pwd`/deps
eclipse-pdebuild -f org.eclipse.ecf.filetransfer.httpclient4.feature \
  -j "-DforceContextQualifier=%{contextQualifier}" -o `pwd`/deps
eclipse-pdebuild -f org.eclipse.ecf.filetransfer.httpclient4.ssl.feature \
  -j "-DforceContextQualifier=%{contextQualifier}" -o `pwd`/deps

%install
install -d -m 755 %{buildroot}%{_javadir}/ecf

unzip -q -n -d %{buildroot}%{_javadir}/ecf          build/rpmBuild/org.eclipse.ecf.core.feature.zip
unzip -q -n -d %{buildroot}%{_javadir}/ecf          build/rpmBuild/org.eclipse.ecf.core.ssl.feature.zip
unzip -q -n -d %{buildroot}%{_javadir}/ecf          build/rpmBuild/org.eclipse.ecf.filetransfer.feature.zip
unzip -q -n -d %{buildroot}%{_javadir}/ecf          build/rpmBuild/org.eclipse.ecf.filetransfer.ssl.feature.zip
unzip -q -n -d %{buildroot}%{_javadir}/ecf          build/rpmBuild/org.eclipse.ecf.filetransfer.httpclient4.feature.zip
unzip -q -n -d %{buildroot}%{_javadir}/ecf          build/rpmBuild/org.eclipse.ecf.filetransfer.httpclient4.ssl.feature.zip

pushd %{buildroot}%{_javadir}/ecf/eclipse/plugins/
rm -rf org.apache*
#remove timestamps from name to make symlinking easy
for f in \
org.eclipse.ecf \
org.eclipse.ecf.filetransfer \
org.eclipse.ecf.identity \
org.eclipse.ecf.provider.filetransfer \
org.eclipse.ecf.provider.filetransfer.ssl \
org.eclipse.ecf.ssl \
org.eclipse.ecf.provider.filetransfer.httpclient4 \
org.eclipse.ecf.provider.filetransfer.httpclient4.ssl ; do
	mv ${f}_*.jar ${f}.jar
done
popd

%files core
%{_javadir}/ecf
%doc ecf/features/org.eclipse.ecf.core.feature/*.html


%changelog
* Tue Feb 02 2016 daviddavid <daviddavid> 3.9.1-2.1.mga5
+ Revision: 931761
- rebuild against current java stack (httpcomponents-client-4.3.6)

* Fri Dec 26 2014 pterjan <pterjan> 3.9.1-2.mga5
+ Revision: 806307
- Clean rebuild
- Sync with Fedora 21 (update to 3.9.1)
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 3.6.1-4.mga5
+ Revision: 750316
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.6.1-3.mga5
+ Revision: 678935
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.6.1-2.mga4
+ Revision: 542157
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 3.6.1-1.mga4
+ Revision: 497007
- New version

* Wed Sep 25 2013 dmorgan <dmorgan> 3.6.0-2.mga4
+ Revision: 485936
- rhbz#974112: Remove versions and timestamps from ECF

* Wed Sep 25 2013 dmorgan <dmorgan> 3.6.0-1.mga4
+ Revision: 485788
- New upstream release

* Tue Sep 24 2013 dmorgan <dmorgan> 3.5.7-0.8.mga4
+ Revision: 485688
- Drop v3 httpclient.
- Make dependency to commons loggigng less strict

* Tue Sep 24 2013 dmorgan <dmorgan> 3.5.7-0.7.mga4
+ Revision: 485323
- Do not drop v3 httpclient yet

* Tue Sep 24 2013 dmorgan <dmorgan> 3.5.7-0.5.mga4
+ Revision: 485288
- New version

* Tue Sep 24 2013 dmorgan <dmorgan> 3.5.6-8.mga4
+ Revision: 484872
- Rebuild against latest eclipse

* Sat Jan 19 2013 dmorgan <dmorgan> 3.5.6-7.mga3
+ Revision: 389606
- Rebuild against fixed eclipse

* Fri Jan 11 2013 umeabot <umeabot> 3.5.6-6.mga3
+ Revision: 349371
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 dmorgan <dmorgan> 3.5.6-5.mga3
+ Revision: 327134
- Filter out requires on osgi

* Sat Sep 15 2012 dmorgan <dmorgan> 3.5.6-4.mga3
+ Revision: 294051
- Rebuild against new eclipse
- imported package eclipse-ecf


* Mon Aug 27 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.5.6-3
- Don't duplicate org.apache* plugins
- Use context qualifier to avoid constant feature version changes.

* Wed Aug 8 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.5.6-2
- Review issues fixed.

* Wed Aug 8 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.5.6-1
- Initial packaging.
